Bug 545015 (CVE-2009-4212) - CVE-2009-4212 krb: KDC integer overflows in AES and RC4 decryption routines (MITKRB5-SA-2009-004)
Summary: CVE-2009-4212 krb: KDC integer overflows in AES and RC4 decryption routines (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4212
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.mit.edu/kerberos/advisorie...
Whiteboard: impact=critical,source=mit,reported=2...
Depends On: 546344 546345 546346 546347 546348 546653 546654 546655
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-07 10:52 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 07:57:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0029 normal SHIPPED_LIVE Critical: krb5 security update 2010-01-12 22:26:06 UTC

Description Jan Lieskovsky 2009-12-07 10:52:03 UTC
Integer underflow flaws, leading to heap-based corruption, were found
in the way MIT Kerberos Key Distribution Center (KDC) used to
decrypt ciphertexts encrypted with Advanced Encryption Standard (AES)
and ARCFOUR (RC4) encryption algorithms. A remote KDC client
could provide a specially-crafted AES or RC4 encrypted ciphertext(s),
which once processed by a central KDC would lead to denial of
service (KDC crash or abort) or, potentially, to KDC relying
authentication services compromise or arbitrary code execution
with the privileges of the KDC centre.

Upstream advisory (not available yet):
--------------------------------------
http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2009-004.txt

Upstream patches (not available yet):
-------------------------------------
http://web.mit.edu/kerberos/advisories/2009-004-patch_1.7.txt
http://web.mit.edu/kerberos/advisories/2009-004-patch_1.6.3.txt

Comment 11 Tomas Hoger 2010-01-12 19:43:03 UTC
Public now via:
  http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2009-004.txt

Comment 12 errata-xmlrpc 2010-01-12 22:26:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 4.7 Z Stream
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 5.2 Z Stream
  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0029 https://rhn.redhat.com/errata/RHSA-2010-0029.html

Comment 13 Fedora Update System 2010-01-14 01:20:57 UTC
krb5-1.7-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-01-14 01:22:36 UTC
krb5-1.6.3-23.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.